# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-09-04 17:06
from __future__ import unicode_literals

import django.core.validators
from django.db import migrations, models
import oscar.core.validators


class Migration(migrations.Migration):

    dependencies = [
        ('catalogue', '0023_auto_20170903_1608'),
    ]

    operations = [
        migrations.AddField(
            model_name='productattribute',
            name='use_and_rule',
            field=models.BooleanField(default=False, verbose_name='использовать правило "И" при фильтрации'),
        ),
        migrations.AlterField(
            model_name='productattribute',
            name='code',
            field=models.SlugField(max_length=128, validators=[django.core.validators.RegexValidator(message='Код может содержать только буквы a-z, A-Z, числа, и _, и не может начинаться с числа', regex='^[a-zA-Z_][0-9a-zA-Z_]*$'), oscar.core.validators.non_python_keyword], verbose_name='Code'),
        ),
    ]
